yum groupremove «Средства разработки»: хранить пакеты, требуемые другими пакетами

Я сделал: yum groupinstall 'Development Tools' Теперь я хочу удалить его: yum groupremove 'Development Tools'

Но он отмечает для удаления много других пакетов, которые требуют binutils .

Как сохранить binutils ?

Мой родной дистрибутив – Arch . Как yum удаляет пакеты по умолчанию, называется cascade .

Я мог бы использовать команду rpm напрямую, но проблема становится противоположной: она не удалит какой-либо пакет, если только один из них не выполняет проверку:

 # rpm -e apr binutils error: Failed dependencies: binutils is needed by (installed) crash-5.0.0-23.el6.x86_64 binutils is needed by (installed) module-init-tools-3.9-17.el6.x86_64 binutils is needed by (installed) oprofile-0.9.6-7.el6.x86_64 /usr/bin/ar is needed by (installed) redhat-lsb-4.0-2.1.el6.x86_64 /usr/bin/strip is needed by (installed) redhat-lsb-4.0-2.1.el6.x86_64 

One Solution collect form web for “yum groupremove «Средства разработки»: хранить пакеты, требуемые другими пакетами”

Для groupremove это будет: yum --setopt=groupremove_leaf_only=1 groupremove 'Development Tools'

Также есть патч, добавляющий аналогичный параметр remove_leaf_only , который изменяет remove , но yum в RHEL 6.5 еще не поддерживает его.

  • Проблема с yum - ошибка при импорте одного из модулей python
  • Создание из источника на CentOS 5 или новее
  • На RHEL 6 у меня, похоже, установлен EPEL, но он не отображается в yum. Как я могу активировать его?
  • Почему у Linux так много проблем с зависимостями при установке программного обеспечения, в то время как Windows не только немногие, как VC ++?
  • Почему «yum update» терпит неудачу со многими дубликатами, после многих месяцев отсутствия обновлений?
  • RHEL 6.4 и OpenSSL 1.0.1 - Зависимость отсутствует .. но это не так?
  • yum-list настроить флаги / параметры, используемые для компиляции пакета
  • Не удается удалить дубликаты пакетов из-за зависимостей
  • Как исправить случайное удаление librpm.so.3
  • Обновление CentOs 7 YUM не работает
  • CentOS - установить с помощью yum Apache 2.4
  • Linux и Unix - лучшая ОС в мире.